package hal

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestAddress(t *testing.T) {
	// 000010 | 0000000011
	address := Address(0b0000100000000011)

	assert.Equal(t, uint16(0b10), address.PageNumber())
	assert.Equal(t, uint16(0b11), address.Offset())
}
